<?php

declare(strict_types=1);

namespace Maestro\Core\Modules\Invoices\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class SendInvoiceRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    /**
     * @return array<string, mixed>
     */
    public function rules(): array
    {
        return [
            'to' => ['nullable', 'email'],
            'subject' => ['nullable', 'string', 'max:255'],
        ];
    }
}
